Opengram

List media in a chat

GET
/api/v1/chats/{chatId}/media

Authorization

bearerAuth
AuthorizationBearer <token>

Instance secret token

In: header

Path Parameters

chatId*string

Query Parameters

kind?string
Value in"image" | "audio" | "file"
messageId?string
cursor?string
limit?integer
Range1 <= value <= 100

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://loading/api/v1/chats/abc123/media"
{
  "data": [
    {
      "id": "string",
      "chat_id": "string",
      "message_id": "string",
      "storage_path": "string",
      "thumbnail_path": "string",
      "filename": "string",
      "content_type": "string",
      "byte_size": 0,
      "kind": "image",
      "created_at": "2019-08-24T14:15:22Z"
    }
  ],
  "cursor": {
    "next": "string",
    "hasMore": true
  }
}
{
  "error": {
    "code": "VALIDATION_ERROR",
    "message": "Invalid request.",
    "details": null
  }
}
{
  "error": {
    "code": "VALIDATION_ERROR",
    "message": "Invalid request.",
    "details": null
  }
}
{
  "error": {
    "code": "VALIDATION_ERROR",
    "message": "Invalid request.",
    "details": null
  }
}
{
  "error": {
    "code": "VALIDATION_ERROR",
    "message": "Invalid request.",
    "details": null
  }
}